function change_pick_up(regiao,registos)
{
    var cur_length=document.LayoutBalcoes.new_location.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutBalcoes.new_location.options[1] = null;

    ind=1;
    document.LayoutBalcoes.new_location.options[0] = new Option('Select a location',0);
    for (i=1; i<=registos; i++) 
    {
        if (tb_loc[i-1][0]==regiao)
        {   
           document.LayoutBalcoes.new_location.options[ind] = new Option(tb_loc[i-1][2],tb_loc[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo1(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo1.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo1.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo1.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo1.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo2(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo2.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo2.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo2.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo2.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo3(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo3.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo3.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo3.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo3.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo4(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo4.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo4.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo4.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo4.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo5(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo5.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo5.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo5.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo5.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function change_grupo6(tarifa,registos)
{
    var cur_length=document.LayoutGruposExtras.new_grupo6.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_grupo6.options[1] = null;
    
    ind=1;
    document.LayoutGruposExtras.new_grupo6.options[0] = new Option('Escolha um grupo',0);

    for (i=1; i<=registos; i++) 
    {        
        if (tb_grupos[i-1][0]==tarifa)
        {   
           document.LayoutGruposExtras.new_grupo6.options[ind] = new Option(tb_grupos[i-1][2],tb_grupos[i-1][1]);
           ind=ind+1;
        }
    }    
}


function new_tarifas(registos)
{
    var cur_length=document.LayoutGruposExtras.new_tarifa1.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa1.options[1] = null;

    document.LayoutGruposExtras.new_tarifa1.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa1.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

    var cur_length=document.LayoutGruposExtras.new_tarifa2.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa2.options[1] = null;

    document.LayoutGruposExtras.new_tarifa2.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa2.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

    var cur_length=document.LayoutGruposExtras.new_tarifa3.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa3.options[1] = null;

    document.LayoutGruposExtras.new_tarifa3.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa3.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

    var cur_length=document.LayoutGruposExtras.new_tarifa4.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa4.options[1] = null;

    document.LayoutGruposExtras.new_tarifa4.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa4.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

    var cur_length=document.LayoutGruposExtras.new_tarifa5.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa5.options[1] = null;

    document.LayoutGruposExtras.new_tarifa5.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa5.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

    var cur_length=document.LayoutGruposExtras.new_tarifa6.options.length;    
    for(i=0;i<registos;i++)  
        document.LayoutGruposExtras.new_tarifa6.options[1] = null;

    document.LayoutGruposExtras.new_tarifa6.options[0] = new Option('Escolha uma tarifa',0);
    for (i=1; i<=registos; i++) 
    {   
       document.LayoutGruposExtras.new_tarifa6.options[i] = new Option(tb_tarifas[i-1][1],tb_tarifas[i-1][0]);
    } 

}
